| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- File List
- File Members

# EventSelectorDataStream.cpp File Reference

`#include "GaudiKernel/Tokenizer.h"`
`#include "GaudiKernel/IService.h"`
`#include "GaudiKernel/ISvcLocator.h"`
`#include "GaudiKernel/IConversionSvc.h"`
`#include "GaudiKernel/IDataManagerSvc.h"`
`#include "GaudiKernel/IPersistencySvc.h"`
`#include "GaudiKernel/PropertyMgr.h"`
`#include "GaudiKernel/MsgStream.h"`
`#include "GaudiKernel/EventSelectorDataStream.h"`

Include dependency graph for EventSelectorDataStream.cpp:

Go to the source code of this file.

## Defines
#define | GAUDISVC_EVENTSELECTOR_EVENTSELECTORDATASTREAM_CPP 1
## Functions
MsgStream & | operator<< (MsgStream &s, const EventSelectorDataStream &obj)
std::ostream & | operator<< (std::ostream &s, const EventSelectorDataStream &obj)

## Define Documentation

#define GAUDISVC_EVENTSELECTOR_EVENTSELECTORDATASTREAM_CPP 1

Definition at line 13 of file EventSelectorDataStream.cpp.

## Function Documentation

std::ostream& operator<< | ( | std::ostream & | s,
|  | const EventSelectorDataStream & | obj |
| ) |  |  |

Definition at line 33 of file EventSelectorDataStream.cpp.

References EventSelectorDataStream::definition(), EventSelectorDataStream::name(), and Gaudi::Units::s.

    00033                                                                              {
    00034   s << "Stream:"   << obj.name() << " Def:" << obj.definition();
    00035   return s;
    00036 }

MsgStream& operator<< | ( | MsgStream & | s,
|  | const EventSelectorDataStream & | obj |
| ) |  |  |

Definition at line 27 of file EventSelectorDataStream.cpp.

References EventSelectorDataStream::definition(), EventSelectorDataStream::name(), and Gaudi::Units::s.

    00027                                                                            {
    00028   s << "Stream:"   << obj.name() << " Def:" << obj.definition();
    00029   return s;
    00030 }